- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CoinExternalVectorFirstLess_2< S, T, V > Class Template Reference

Function operator. More...

`#include <CoinSort.hpp>`

Collaboration diagram for CoinExternalVectorFirstLess_2< S, T, V >:

[legend]
List of all members.

## Public Member Functions
bool | operator() (const CoinPair< S, T > &t1, const CoinPair< S, T > &t2) const
| CoinExternalVectorFirstLess_2 (const V *v)
## Private Member Functions
| CoinExternalVectorFirstLess_2 ()
## Private Attributes
const V * | vec_

## Detailed Description

### template<class S, class T, class V>
class CoinExternalVectorFirstLess_2< S, T, V >

Function operator.

Compare based on the entries of an external vector, i.e., returns true if vec[t1.first < vec[t2.first] (i.e., increasing wrt. vec). Note that to use this comparison operator .first must be a data type automatically convertible to int.

Definition at line 94 of file CoinSort.hpp.

## Constructor & Destructor Documentation

template<class S, class T, class V>

CoinExternalVectorFirstLess_2< S, T, V >::CoinExternalVectorFirstLess_2 | ( |  | ) | `[private]`

template<class S, class T, class V>

CoinExternalVectorFirstLess_2< S, T, V >::CoinExternalVectorFirstLess_2 | ( | const V * | v | ) | `[inline]`

Definition at line 103 of file CoinSort.hpp.

## Member Function Documentation

template<class S, class T, class V>

bool CoinExternalVectorFirstLess_2< S, T, V >::operator() | ( | const CoinPair< S, T > & | t1,
|  | const CoinPair< S, T > & | t2 |
| ) |  |  | const`[inline]`

Definition at line 100 of file CoinSort.hpp.

References CoinPair< S, T >::first, and CoinExternalVectorFirstLess_2< S, T, V >::vec_.

## Member Data Documentation

template<class S, class T, class V>

const V* CoinExternalVectorFirstLess_2< S, T, V >::vec_`[private]`

Definition at line 98 of file CoinSort.hpp.

Referenced by CoinExternalVectorFirstLess_2< S, T, V >::operator()().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.55.0/CoinUtils/src/CoinSort.hpp